Bug 245119 - virt-manager times out when pre-allocating a simple file disk
virt-manager times out when pre-allocating a simple file disk
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-21 05:08 EDT by itamar
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 00:13:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/libvirt/qemu/Large5.log (219 bytes, text/plain)
2007-06-21 10:41 EDT, itamar
no flags Details

  None (edit)
Description itamar 2007-06-21 05:08:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20070515 Firefox/

Description of problem:
while creating a new virtual machine, choosing a simple file of 8000MB and checking the "allocate entire virtual disk now" causes a time out error.

the disk creation completes, then the create domain fails with:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create a virtual machine (i used kvm, not sure if relevant)
2.under "assigning storage space", choose simple file, size 8000MB, check "alloacte entire virtual disk".
3.continue as usual.

Actual Results:
timeout error:

Unable to complete install '<class 'libvirt.libvirtError'> virDomainCreateLinux() failed internal error Timed out while reading console startup output 
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 681, in do_install
    dom = guest.start_install(False, meter = meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 649, in start_install 
    return self._do_install(consolecb, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 666, in _do_install
    self.domain = self.conn.createLinux(install_xml, 0)
  File "/usr/lib64/python2.5/site-packages/libvirt.py", line 503, in createLinux 
    if ret is None:raise libvirtError('virDomainCreateLinux() failed', conn=self)
libvirtError: virDomainCreateLinux() failed internal error Timed out while reading console startup output

Expected Results:
creation of disk and virtual machine

Additional info:
workaround is to not pre-alloacte the disk
Comment 1 Daniel Berrange 2007-06-21 08:39:11 EDT
Can you update to libvirt-0.2.3, restart  'service libvirtd restart' and then
try again. You should get a different, more meaningful error, as well as logfile
in /var/log/libvirt telling you exactly what went wrong. That error basically
means qemu was starting up, but exited immediately, so we need to find out the
real cause of this.
Comment 2 itamar 2007-06-21 08:47:42 EDT
the current libvirt is already libvirt-0.2.3-1.fc7...
the /var/log/libvirt/qemu/large.log file only contains the qemu command and:
"char device redirected to /dev/pts/2
Comment 3 Daniel Berrange 2007-06-21 09:01:23 EDT
Hmm, that's rather odd then.

Can you tell me if  /var/log/libvirt/qemu/large.log file contains a newline
character \n  immediately following the /dev/pts/2  ?

Also, can I get a copy of the /root/.virt-manager/virt-manager.log and

Finally, am I understanding your initial comment correctly, but saying that if
you do not pre-allocate the 8 GB disk, it starts up fine ?
Comment 4 itamar 2007-06-21 10:41:15 EDT
Created attachment 157544 [details]
Comment 5 itamar 2007-06-21 10:51:38 EDT
i cleared the various files, and reproduced everything using "large5".
(since before, it contained both unsuccessful and successful runs
i attached the large5.log.
the other 2 files do not exist at all now.
and yes, if i do not pre-allocate the disk, everything is working (i actually
got this problem from someone else, and reproduced it, so i know it is not
something local to my computer).
it does not always happen with a 4000 MB file. so maybe try with a 16000MB file...
Comment 6 Daniel Berrange 2007-06-21 11:01:50 EDT
Ok, this sounds like a high VM-load related issue. Pre-allocating a 4 GB file
will cause 4 GB worth of data to be written to disk which will fill up the
buffer cache quite significantly. When you then start a 500 MB guest, the kernel
has to flush out a fair bit of data to disk to be able to allocate memory to
QEMU/KVM. This could cause startup of QEMU to be slow enough that libvirt times
out waiting for it to start. I'll have  ago at reproducing this problem.
Comment 7 Cole Robinson 2008-03-12 16:41:26 EDT
This is a pretty old bug, is anyone still seeing this or was it ever
successfully reproduced?
Comment 8 Brian Powell 2008-04-25 00:13:04 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.